Package org.eclipse.emf.spi.cdo

## Interface CDOPermissionUpdater

-     public interface CDOPermissionUpdater

  A `pluggable` strategy for updating the permissions of a set of `revisions`.
  Since:
    4.3
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CDOPermissionUpdater` | `SERVER` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Map<CDORevision,​CDOPermission>` | `updatePermissions​(InternalCDOSession session, java.util.Set<InternalCDORevision> revisions)` |

- - ### Field Detail

    - #### SERVER

          static final CDOPermissionUpdater SERVER

  - ### Method Detail

    - #### updatePermissions

          java.util.Map<CDORevision,​CDOPermission> updatePermissions​(InternalCDOSession session,
                                                                           java.util.Set<InternalCDORevision> revisions)